QGIS Application - Bug report #18278
QGIS3: selected features only greyed out
2018-03-01 02:58 AM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 7 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26169
Description

In some QGIS internal processing tools, like interesection, the checkbox for selected features only gets greyed out after selecting a
layer. The processing is done on the whole dataset even though a feature has been selected.

Expected is to limit the vector overlay (or the whole processing) on the selected feature(s) when the checkbox is active.

Associated revisions

Revision 4e182be4 - 2018-03-01 06:29 AM - Nyall Dawson

[processing] Fix 'selected features' checkbox is incorrectly disabled

Fixes #18278

Revision 4bbea2f7 - 2018-03-01 09:50 PM - Nyall Dawson

[processing] Fix 'selected features' checkbox is incorrectly disabled

Fixes #18278

(cherry-picked from 4e182be4)

History

#1 - 2018-03-01 06:28 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|4e182bed4ece2bd1d300949d0228994472927ca70.

#2 - 2018-03-01 10:49 AM - Giovanni Manghi
- Resolution set to fixed/implemented

2025-06-13 1/1




